Appender::String(3)

NAME
Log::Log4perl::Appender::String - Append to a string

SYNOPSIS
  use Log::Log4perl::Appender::String;

  my $appender = Log::Log4perl::Appender::String->new(
      name      => 'my string appender',
  );

      # Append to the string
  $appender->log(
      message => "I'm searching the city for sci-fi wasabi\n"
  );

      # Retrieve the result
  my $result = $appender->string();

      # Reset the buffer to the empty string
  $appender->string("");

DESCRIPTION
This is a simple appender used internally by "Log::Log4perl". It appends messages to a scalar instance variable.

LICENSE
Copyright 2002-2026 by Mike Schilli <m@perlmeister.com> and Kevin Goess <cpan@goess.org>.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.